commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/ROS/MouthCallbackWrapperROS.h b/server/include/ROS/MouthCallbackWrapperROS.h
index 373d2c7..76f6e1b 100644
--- a/server/include/ROS/MouthCallbackWrapperROS.h
+++ b/server/include/ROS/MouthCallbackWrapperROS.h
@@ -1,77 +1,76 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/mouthtargetAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class MouthCallbackWrapper : CallbackWrapper<hlrc_server::mouthtargetAction>{
+// callback handler incoming gaze requests:
+class MouthCallbackWrapper : CallbackWrapper<hlrc_server::mouthtargetAction> {
 protected:
-    hlrc_server::mouthtargetFeedback feedback;
-    hlrc_server::mouthtargetResult result;
+	hlrc_server::mouthtargetFeedback feedback;
+	hlrc_server::mouthtargetResult result;
 
 public:
+	MouthCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::mouthtargetAction>(mw, scope, name, boost::bind(&MouthCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    MouthCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::mouthtargetAction>(mw, scope, name, boost::bind(&MouthCallbackWrapper::call, this, _1)){
-        //
-    };
+	void call(const GoalConstPtr& goal) {
+		feedback.result = 1;
 
-    void call(const GoalConstPtr &goal){
-        feedback.result = 1;
+		hlrc_server::mouthtargetGoalConstPtr request = goal;
 
-        hlrc_server::mouthtargetGoalConstPtr request = goal;
+		humotion::MouthState mouth_state;
 
-        humotion::MouthState mouth_state;
+		// fill in mouth
+		//#include "RSB/SpeechCallbackWrapper.h".opening_left   = request->opening_left;
+		mouth_state.opening_center = request->opening_center;
+		mouth_state.opening_right = request->opening_right;
 
-        //fill in mouth
-        //#include "RSB/SpeechCallbackWrapper.h".opening_left   = request->opening_left;
-        mouth_state.opening_center = request->opening_center;
-        mouth_state.opening_right  = request->opening_right;
+		mouth_state.position_left = request->position_left;
+		mouth_state.position_center = request->position_center;
+		mouth_state.position_right = request->position_right;
 
-        mouth_state.position_left   = request->position_left;
-        mouth_state.position_center = request->position_center;
-        mouth_state.position_right  = request->position_right;
+		// processing
+		feedback.result = 1;
+		as_.publishFeedback(feedback);
 
-        //processing
-        feedback.result = 1;
-        as_.publishFeedback(feedback);
+		// send to application:
+		mw->mouth_callback(mouth_state);
 
-        //send to application:
-        mw->mouth_callback(mouth_state);
-
-        if (feedback.result){
-            result.result = feedback.result;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-
-
-    }
+		if (feedback.result) {
+			result.result = feedback.result;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };