commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/ROS/SpeechCallbackWrapperROS.h b/server/include/ROS/SpeechCallbackWrapperROS.h
index d2ef1a7..484a355 100644
--- a/server/include/ROS/SpeechCallbackWrapperROS.h
+++ b/server/include/ROS/SpeechCallbackWrapperROS.h
@@ -1,69 +1,70 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/speechAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class SpeechCallbackWrapper : CallbackWrapper<hlrc_server::speechAction>{
+// callback handler incoming gaze requests:
+class SpeechCallbackWrapper : CallbackWrapper<hlrc_server::speechAction> {
 protected:
-    hlrc_server::speechFeedback feedback;
-    hlrc_server::speechResult result;
+	hlrc_server::speechFeedback feedback;
+	hlrc_server::speechResult result;
 
 public:
+	SpeechCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::speechAction>(mw, scope, name, boost::bind(&SpeechCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    SpeechCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::speechAction>(mw, scope, name, boost::bind(&SpeechCallbackWrapper::call, this, _1)){
-        //
-    };
+	void call(const GoalConstPtr& goal) {
+		feedback.result = 1;
 
-    void call(const GoalConstPtr &goal){
-        feedback.result = 1;
+		hlrc_server::speechGoalConstPtr request = goal;
 
-        hlrc_server::speechGoalConstPtr request = goal;
+		std::string text = request->text;
 
-        std::string text = request->text;
+		// processing
+		feedback.result = 1;
+		as_.publishFeedback(feedback);
 
-        //processing
-        feedback.result = 1;
-        as_.publishFeedback(feedback);
+		// send to application:
+		text = "<maryxml version=\"0.4\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" "
+		       "xmlns=\"http://mary.dfki.de/2002/MaryXML\" xml:lang=\"en_US\">" +
+		       text + "</maryxml>";
+		mw->speak_callback(text);
 
-        //send to application:
-        text = "<maryxml version=\"0.4\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://mary.dfki.de/2002/MaryXML\" xml:lang=\"en_US\">" +
-                text +
-                "</maryxml>";
-        mw->speak_callback(text);
-
-        if (feedback.result){
-            result.result = feedback.result;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-    }
+		if (feedback.result) {
+			result.result = feedback.result;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };