commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/RSB/AnimationCallbackWrapper.h b/server/include/RSB/AnimationCallbackWrapper.h
index 588d5ea..92b84ed 100644
--- a/server/include/RSB/AnimationCallbackWrapper.h
+++ b/server/include/RSB/AnimationCallbackWrapper.h
@@ -1,71 +1,92 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "CallbackWrapper.h"
 #include "Animation.h"
 
-//callback handler incoming animation requests:
-class AnimationCallbackWrapper : public CallbackWrapper<rst::animation::HeadAnimation>{
-    public:
-       AnimationCallbackWrapper(Middleware *mw) : CallbackWrapper(mw){}
+// callback handler incoming animation requests:
+class AnimationCallbackWrapper : public CallbackWrapper<rst::animation::HeadAnimation> {
+public:
+	AnimationCallbackWrapper(Middleware* mw) : CallbackWrapper(mw) {
+	}
 
-       void call(const std::string& method_name, boost::shared_ptr<rst::animation::HeadAnimation> input){
-           printf("> incomint animation (method = %s)\n",method_name.c_str());
+	void call(const std::string& method_name, boost::shared_ptr<rst::animation::HeadAnimation> input) {
+		printf("> incomint animation (method = %s)\n", method_name.c_str());
 
-           //fetch animation passed by rsb:
-           rst::animation::HeadAnimation *rst_ani = input.get();
-           boost::shared_ptr<Animation> ani(new Animation());
+		// fetch animation passed by rsb:
+		rst::animation::HeadAnimation* rst_ani = input.get();
+		boost::shared_ptr<Animation> ani(new Animation());
 
-           switch ((int) rst_ani->animation()){
-               case(rst_ani->IDLE):             ani->target = Animation::IDLE; break;
-               case(rst_ani->HEAD_NOD):         ani->target = Animation::HEAD_NOD; break;
-               case(rst_ani->HEAD_SHAKE):       ani->target = Animation::HEAD_SHAKE; break;
-               case(rst_ani->EYEBLINK_LEFT):    ani->target = Animation::EYEBLINK_L; break;
-               case(rst_ani->EYEBLINK_RIGHT):   ani->target = Animation::EYEBLINK_R; break;
-               case(rst_ani->EYEBLINK_BOTH):    ani->target = Animation::EYEBLINK_BOTH; break;
-               case(rst_ani->EYEBROWS_RAISE):   ani->target = Animation::EYEBROWS_RAISE;break;
-               case(rst_ani->EYEBROWS_LOWER):   ani->target = Animation::EYEBROWS_LOWER;break;
-               case(rst_ani->ENGAGEMENT_LEFT):  ani->target = Animation::ENGAGEMENT_LEFT;break;
-               case(rst_ani->ENGAGEMENT_RIGHT): ani->target = Animation::ENGAGEMENT_RIGHT;break;
-               default:
-                   ani->target = Animation::IDLE;
-                   printf("> unhandled animatin target %d\n",(int)rst_ani->animation());
-                   throw std::runtime_error("AnimationCallback: invalid animation id");
-                   return;
-           }
-           ani->repetitions   = rst_ani->repetitions();
-           ani->duration_each = rst_ani->duration_each();
-           ani->scale         = rst_ani->emphasis_scale();
+		switch ((int)rst_ani->animation()) {
+			case (rst_ani->IDLE):
+				ani->target = Animation::IDLE;
+				break;
+			case (rst_ani->HEAD_NOD):
+				ani->target = Animation::HEAD_NOD;
+				break;
+			case (rst_ani->HEAD_SHAKE):
+				ani->target = Animation::HEAD_SHAKE;
+				break;
+			case (rst_ani->EYEBLINK_LEFT):
+				ani->target = Animation::EYEBLINK_L;
+				break;
+			case (rst_ani->EYEBLINK_RIGHT):
+				ani->target = Animation::EYEBLINK_R;
+				break;
+			case (rst_ani->EYEBLINK_BOTH):
+				ani->target = Animation::EYEBLINK_BOTH;
+				break;
+			case (rst_ani->EYEBROWS_RAISE):
+				ani->target = Animation::EYEBROWS_RAISE;
+				break;
+			case (rst_ani->EYEBROWS_LOWER):
+				ani->target = Animation::EYEBROWS_LOWER;
+				break;
+			case (rst_ani->ENGAGEMENT_LEFT):
+				ani->target = Animation::ENGAGEMENT_LEFT;
+				break;
+			case (rst_ani->ENGAGEMENT_RIGHT):
+				ani->target = Animation::ENGAGEMENT_RIGHT;
+				break;
+			default:
+				ani->target = Animation::IDLE;
+				printf("> unhandled animatin target %d\n", (int)rst_ani->animation());
+				throw std::runtime_error("AnimationCallback: invalid animation id");
+				return;
+		}
+		ani->repetitions = rst_ani->repetitions();
+		ani->duration_each = rst_ani->duration_each();
+		ani->scale = rst_ani->emphasis_scale();
 
-           printf("> new Animation: %s\n", ani->as_string().c_str());
+		printf("> new Animation: %s\n", ani->as_string().c_str());
 
-           //send to application
-           mw->animation_callback(ani);
-       }
+		// send to application
+		mw->animation_callback(ani);
+	}
 };