commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/RSB/GazeCallbackWrapper.h b/server/include/RSB/GazeCallbackWrapper.h
index 7c9dd10..8e53157 100644
--- a/server/include/RSB/GazeCallbackWrapper.h
+++ b/server/include/RSB/GazeCallbackWrapper.h
@@ -1,61 +1,62 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "CallbackWrapper.h"
 
-//callback handler incoming gaze requests:
-class GazeCallbackWrapper : public CallbackWrapper<rst::animation::BinocularHeadGaze>{
-    public:
-        GazeCallbackWrapper(Middleware *mw) : CallbackWrapper(mw){}
-        void call(const std::string& method_name, boost::shared_ptr<rst::animation::BinocularHeadGaze> input){
-            rst::animation::BinocularHeadGaze *gaze = input.get();
-            //printf("> incoming gaze (p=%3.1f t=%3.1f r=%3.1f / v=%3.1f)\n", gaze->pan(), gaze->tilt(), gaze->roll(), gaze->vergence());
+// callback handler incoming gaze requests:
+class GazeCallbackWrapper : public CallbackWrapper<rst::animation::BinocularHeadGaze> {
+public:
+	GazeCallbackWrapper(Middleware* mw) : CallbackWrapper(mw) {
+	}
+	void call(const std::string& method_name, boost::shared_ptr<rst::animation::BinocularHeadGaze> input) {
+		rst::animation::BinocularHeadGaze* gaze = input.get();
+		// printf("> incoming gaze (p=%3.1f t=%3.1f r=%3.1f / v=%3.1f)\n", gaze->pan(), gaze->tilt(), gaze->roll(), gaze->vergence());
 
-            humotion::GazeState gaze_state;
+		humotion::GazeState gaze_state;
 
-            //fill in gaze
-            gaze_state.pan   = gaze->target().azimuth();
-            gaze_state.tilt  = gaze->target().elevation();
-            gaze_state.roll  = 0.0;
+		// fill in gaze
+		gaze_state.pan = gaze->target().azimuth();
+		gaze_state.tilt = gaze->target().elevation();
+		gaze_state.roll = 0.0;
 
-            //RSB supports only absolute targets for now...
-            gaze_state.timestamp = 123.45; //FIXME!!
-            gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
+		// RSB supports only absolute targets for now...
+		gaze_state.timestamp = 123.45; // FIXME!!
+		gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
 
-            //vergence
-            gaze_state.vergence  = (gaze->has_eye_vergence())?gaze->eye_vergence():0.0;
+		// vergence
+		gaze_state.vergence = (gaze->has_eye_vergence()) ? gaze->eye_vergence() : 0.0;
 
-            //offsets
-            gaze_state.pan_offset  = (gaze->has_offset())?gaze->offset().azimuth():0.0;
-            gaze_state.tilt_offset = (gaze->has_offset())?gaze->offset().elevation():0.0;
+		// offsets
+		gaze_state.pan_offset = (gaze->has_offset()) ? gaze->offset().azimuth() : 0.0;
+		gaze_state.tilt_offset = (gaze->has_offset()) ? gaze->offset().elevation() : 0.0;
 
-            //send to application:
-            mw->gaze_callback(gaze_state);
-        }
+		// send to application:
+		mw->gaze_callback(gaze_state);
+	}
 };